Subject: Re: bug#4789: use bootstrap-emacs to build emacs/leim directory, load emacs/leim/leim-list.el to loadup.el

From: Glenn Morris <[email-masked]>
Date: Mon, 09 Apr 2012 03:59:42 -0400

Eli Zaretskii wrote:

> Is there any special reason to do that with bootstrap-emacs and not
> with a "normal" emacs? 

So that leim-list can be included in the dumped emacs executable.

> I'm asking because there's no bootstrap-emacs on Windows.

Oh. Then I guess I mean whatever executable is used to compile the lisp
files from loadup.el on MS Windows.

Basically, I want to load leim-list.el in loadup.el, so it needs to be
generated before loadup.el is read. Similar to loaddefs.el and
ldefs-boot.el, except with no leim-boot.el being needed (I guess; I see
I haven't thought this bit through!).